﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace MyECULib 
{
    public class MyECUFile : MyECUSource
    {
        private string fileName;
        int LineDelay;
        private StreamReader sr;

        public MyECUFile(string _fileName, int _LineDelay)
        {
            fileName = _fileName;
            LineDelay = _LineDelay;
        }

        public override bool isOpen()
        {
            if (sr.EndOfStream)
            {
                return false;
            }
            return true;
        }

        override public void Close() 
        {
            base.Close();
            sr.Close();
        }

        override public int Timeouts()
        {
            return 0;
        }

        override public bool Open()        
        {
            try
            {
                sr = File.OpenText(fileName);
                return true;
            }
            catch
            {
                return false;
            }
        }

        override public void DiscardBuffer()
        {
        }

        override public string getData()
        {
            if (sr.EndOfStream)
            {
                return "";
            }
            else
            {
                if (LineDelay > 0)
                {
                    System.Threading.Thread.Sleep(LineDelay);
                }
                return sr.ReadLine();
            }
        }

    }
}
