﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using MyECULib;

namespace MyECUTestBed
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void dump(string line)
        {
            richTextBoxBigMama.AppendText(line);
        }

        private void buttonParseFile_Click(object sender, EventArgs e)
        {
            richTextBoxBigMama.Text = "";
            openFileDialog1.ShowDialog();
            String fn = openFileDialog1.FileName;
            var com = new MyECUFile(fn,0);
            if (com.Open())
            {
                MyECUData data;
                uint DeadTime = 0;
                string line = "";
                while ((line = com.getData()) != "")
                {
                    data = new MyECUData(line);
                    switch (data.type)
                    {
                        case MyECUData.types.TimingInfo:
                            dump(data.ti.ToString(DeadTime));
                            break;
                        case MyECUData.types.AnalogInputs:
                            dump(data.ai.ToString());
                            break;
                        case MyECUData.types.CompensationInfo:
                            dump(data.ci.ToString());
                            DeadTime = data.ci.InjDeadTime;
                            break;
                        case MyECUData.types.DiagnosticInfo:
                            dump(data.di.ToString());
                            break;
                        case MyECUData.types.VersionInfo:
                            dump(data.vi.ToString());
                            break;
                    } 
                }
            }
            else
            {
                MessageBox.Show("Failed to open file!");
            }
        }
    }
}
